API 参考
创建 x402 付款意图
创建 x402 付款意图接口说明。查阅 StableOps Agent Payments 的鉴权范围、路径与请求参数、字段校验、响应结构、环境限制和常见错误处理要求,将该接口安全接入管理后台、Agent 运行时或自动化流程。
POST
/v1/agent-payments/runtime/intents/x402Authorization
agentKey AuthorizationBearer <token>
Paste the Agent Key bound to one payment agent. Agent Keys only work on Runtime endpoints.
In: header
Header Parameters
Idempotency-Key*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/agent-payments/runtime/intents/x402" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "idempotency_key": "string", "method": "GET", "resource_url": "http://example.com", "requirements": { "x402_version": 2, "scheme": "exact", "network": "string", "asset": "string", "pay_to": "string", "max_amount_atomic": "string", "max_timeout_seconds": 1, "extra": { "property1": null, "property2": null } } }'{
"intent_id": "string",
"status": "created",
"approval_id": "string",
"approval_expires_at": "2019-08-24T14:15:22Z"
}Empty
这篇文档怎么样?
最后更新